Submitted By:            Armin K. <krejzi at email dot com>
Date:                    2014-07-26
Initial Package Version: 211
Upstream Status:         Not applicable
Origin:                  Self
Description:             Make it install compat pkg-config files without
                         building compat-libs which are useless on LFS.

diff -Naur a/Makefile.am b/Makefile.am
--- a/Makefile.am	2014-07-03 20:48:21.991503170 +0200
+++ b/Makefile.am	2014-07-04 15:21:42.230782881 +0200
@@ -2374,7 +2374,11 @@
 UNINSTALL_EXEC_HOOKS += libsystemd-uninstall-hook
 
 pkgconfiglib_DATA += \
-	src/libsystemd/libsystemd.pc
+	src/libsystemd/libsystemd.pc \
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc
 
 pkginclude_HEADERS += \
 	src/systemd/sd-login.h \
@@ -5079,12 +5083,6 @@
 	libsystemd-id128.la \
 	libsystemd-daemon.la
 
-pkgconfiglib_DATA += \
-	src/compat-libs/libsystemd-journal.pc \
-	src/compat-libs/libsystemd-login.pc \
-	src/compat-libs/libsystemd-id128.pc \
-	src/compat-libs/libsystemd-daemon.pc
-
 # move lib from $(libdir) to $(rootlibdir) and update devel link, if needed
 compat-lib-install-hook:
 	libname=libsystemd-login.so && $(move-to-rootlibdir)
diff -Naur a/Makefile.in b/Makefile.in
--- a/Makefile.in	2014-07-03 20:49:47.710116593 +0200
+++ b/Makefile.in	2014-07-04 15:21:42.234782948 +0200
@@ -1212,21 +1212,18 @@
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-id128.la \
 @ENABLE_COMPAT_LIBS_TRUE@	libsystemd-daemon.la
 
-@ENABLE_COMPAT_LIBS_TRUE@am__append_268 = \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-journal.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-login.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-id128.pc \
-@ENABLE_COMPAT_LIBS_TRUE@	src/compat-libs/libsystemd-daemon.pc
-
-@ENABLE_COMPAT_LIBS_TRUE@am__append_269 = compat-lib-install-hook
-@ENABLE_COMPAT_LIBS_TRUE@am__append_270 = compat-lib-uninstall-hook
-@ENABLE_MANPAGES_TRUE@am__append_271 = \
+@ENABLE_COMPAT_LIBS_TRUE@am__append_268 = compat-lib-install-hook
+@ENABLE_COMPAT_LIBS_TRUE@am__append_269 = compat-lib-uninstall-hook
+@ENABLE_MANPAGES_TRUE@am__append_270 = \
 @ENABLE_MANPAGES_TRUE@	man/custom-entities.ent
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_272 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_271 = \
 @HAVE_SYSV_COMPAT_TRUE@	docs/sysvinit/README \
 @HAVE_SYSV_COMPAT_TRUE@	docs/var-log/README
 
+@HAVE_SYSV_COMPAT_TRUE@am__append_272 = \
+@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
+
 @HAVE_SYSV_COMPAT_TRUE@am__append_273 = \
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
@@ -1240,9 +1237,6 @@
 @HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
 
 @HAVE_SYSV_COMPAT_TRUE@am__append_277 = \
-@HAVE_SYSV_COMPAT_TRUE@	systemd-update-utmp-runlevel.service
-
-@HAVE_SYSV_COMPAT_TRUE@am__append_278 = \
 @HAVE_SYSV_COMPAT_TRUE@	poweroff.target runlevel0.target \
 @HAVE_SYSV_COMPAT_TRUE@	rescue.target runlevel1.target \
 @HAVE_SYSV_COMPAT_TRUE@	multi-user.target runlevel2.target \
@@ -1251,25 +1245,25 @@
 @HAVE_SYSV_COMPAT_TRUE@	graphical.target runlevel5.target \
 @HAVE_SYSV_COMPAT_TRUE@	reboot.target runlevel6.target
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_279 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_278 = \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel1.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel2.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel3.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel4.target.wants \
 @HAVE_SYSV_COMPAT_TRUE@	$(systemunitdir)/runlevel5.target.wants
 
-@HAVE_SYSV_COMPAT_TRUE@am__append_280 = \
+@HAVE_SYSV_COMPAT_TRUE@am__append_279 = \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvinit-path=$$dc_install_base/$(sysvinitdir) \
 @HAVE_SYSV_COMPAT_TRUE@	--with-sysvrcnd-path=$$dc_install_base/$(sysvrcnddir)
 
-@HAVE_SYSV_COMPAT_FALSE@am__append_281 = \
+@HAVE_SYSV_COMPAT_FALSE@am__append_280 = \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvinit-path= \
 @HAVE_SYSV_COMPAT_FALSE@	--with-sysvrcnd-path=
 
-@HAVE_PYTHON_TRUE@am__append_282 = \
+@HAVE_PYTHON_TRUE@am__append_281 = \
 @HAVE_PYTHON_TRUE@	--with-python
 
-@ENABLE_GTK_DOC_TRUE@am__append_283 = \
+@ENABLE_GTK_DOC_TRUE@am__append_282 = \
 @ENABLE_GTK_DOC_TRUE@	--enable-gtk-doc
 
 subdir = .
@@ -4499,8 +4493,8 @@
 	$(am__append_263) $(nodist_systemunit_DATA) \
 	$(nodist_userunit_DATA) $(pkgconfigdata_DATA) \
 	$(pkgconfiglib_DATA) $(nodist_polkitpolicy_DATA) \
-	$(am__append_272) defined undefined
-DISTCLEANFILES = $(am__append_271)
+	$(am__append_271) defined undefined
+DISTCLEANFILES = $(am__append_270)
 
 # Really, do not edit this file.
 EXTRA_DIST = units/getty@.service.m4 units/serial-getty@.service.m4 \
@@ -4707,10 +4701,10 @@
 	install-touch-usr-hook systemd-detect-virt-install-hook \
 	$(am__append_89) bus-proxyd-install-hook \
 	libsystemd-install-hook libudev-install-hook $(am__append_112) \
-	journal-install-hook $(am__append_269)
+	journal-install-hook $(am__append_268)
 UNINSTALL_EXEC_HOOKS = $(am__append_90) bus-proxyd-uninstall-hook \
 	libsystemd-uninstall-hook libudev-uninstall-hook \
-	$(am__append_113) journal-uninstall-hook $(am__append_270)
+	$(am__append_113) journal-uninstall-hook $(am__append_269)
 INSTALL_DATA_HOOKS = units-install-hook hwdb-update-hook \
 	catalog-update-hook
 UNINSTALL_DATA_HOOKS = units-uninstall-hook catalog-remove-hook
@@ -4749,7 +4743,11 @@
 include_HEADERS = src/libudev/libudev.h
 noinst_DATA = $(am__append_53) $(am__append_55) $(am__append_97)
 pkgconfiglib_DATA = src/libsystemd/libsystemd.pc \
-	src/libudev/libudev.pc $(am__append_108) $(am__append_268)
+	src/compat-libs/libsystemd-journal.pc \
+	src/compat-libs/libsystemd-login.pc \
+	src/compat-libs/libsystemd-id128.pc \
+	src/compat-libs/libsystemd-daemon.pc src/libudev/libudev.pc \
+	$(am__append_108)
 polkitpolicy_in_in_files =  \
 	src/core/org.freedesktop.systemd1.policy.in.in
 polkitpolicy_in_files =  \
@@ -4876,7 +4874,7 @@
 INSTALL_DIRS = $(am__append_76) $(am__append_82) \
 	$(sysconfdir)/udev/rules.d $(sysconfdir)/udev/hwdb.d \
 	$(am__append_146) $(am__append_202) $(am__append_256) \
-	$(am__append_279) $(prefix)/lib/modules-load.d \
+	$(am__append_278) $(prefix)/lib/modules-load.d \
 	$(sysconfdir)/modules-load.d $(prefix)/lib/systemd/network \
 	$(sysconfdir)/systemd/network $(prefix)/lib/sysctl.d \
 	$(sysconfdir)/sysctl.d $(prefix)/lib/kernel/install.d \
@@ -4887,11 +4885,11 @@
 	$(pkgsysconfdir)/system/getty.target.wants \
 	$(pkgsysconfdir)/user $(dbussessionservicedir) \
 	$(sysconfdir)/xdg/systemd
-RUNLEVEL1_TARGET_WANTS = $(am__append_273)
-RUNLEVEL2_TARGET_WANTS = $(am__append_274)
-RUNLEVEL3_TARGET_WANTS = $(am__append_275)
-RUNLEVEL4_TARGET_WANTS = $(am__append_276)
-RUNLEVEL5_TARGET_WANTS = $(am__append_277)
+RUNLEVEL1_TARGET_WANTS = $(am__append_272)
+RUNLEVEL2_TARGET_WANTS = $(am__append_273)
+RUNLEVEL3_TARGET_WANTS = $(am__append_274)
+RUNLEVEL4_TARGET_WANTS = $(am__append_275)
+RUNLEVEL5_TARGET_WANTS = $(am__append_276)
 SHUTDOWN_TARGET_WANTS = 
 LOCAL_FS_TARGET_WANTS = systemd-remount-fs.service tmp.mount
 MULTI_USER_TARGET_WANTS = $(am__append_257) getty.target \
@@ -4919,7 +4917,7 @@
 USER_BUSNAMES_TARGET_WANTS = 
 SYSTEM_UNIT_ALIASES = $(am__append_177) $(am__append_190) \
 	$(am__append_203) $(am__append_225) $(am__append_258) \
-	$(am__append_278) graphical.target default.target \
+	$(am__append_277) graphical.target default.target \
 	reboot.target ctrl-alt-del.target getty@.service \
 	autovt@.service
 USER_UNIT_ALIASES = $(systemunitdir)/shutdown.target shutdown.target \
@@ -8031,8 +8029,8 @@
 	--with-pamlibdir=$$dc_install_base/$(pamlibdir) \
 	--with-pamconfdir=$$dc_install_base/$(pamconfdir) \
 	--with-rootprefix=$$dc_install_base --disable-split-usr \
-	--enable-kdbus --enable-compat-libs $(am__append_280) \
-	$(am__append_281) $(am__append_282) $(am__append_283)
+	--enable-kdbus --enable-compat-libs $(am__append_279) \
+	$(am__append_280) $(am__append_281) $(am__append_282)
 www_target = www.freedesktop.org:/srv/www.freedesktop.org/www/software/systemd
 OBJECT_VARIABLES := $(filter %_OBJECTS,$(.VARIABLES))
 ALL_OBJECTS := $(foreach v,$(OBJECT_VARIABLES),$($(v)))
